User Tools

Site Tools



2014 Shared Hosting

“Activer l'optimisation PHP sur son Hébergement Mutualisé OVH”

The introduction of PHP-FPM (FastCGI Process Manager) means that it is no longer necessary to modify the .htaccess file.

Instead, a file .ovhconfig is placed in the Document Root of the site. A minimal file should contain this code:


More information and a fully-commented sample .ovhconfig file can be found on the OVH support page. (The support page is in French, but the commented file options are in English.)

To avoid fatal PHP errors, this file must be in place before starting the GetSimple installation process.

The minimal .ovhconfig file should be adjusted for production use, in order to use the advanced caching and processing features.

Legacy Shared Hosting

The default PHP version is v4, therefore the installation process cannot be started immediately after uploading the GetSimple files to the webspace. If you try to start the installation by visiting the web address, an error similar to the following will appear in the browser:
Parse error: syntax error, unexpected '&', expecting T_VARIABLE or '$'in <hosting address>/admin/inc/common.php on line 19

It is necessary to set the PHP version in a .htaccess file in the root of your webspace (normally the 'www' folder) before installation can be started. This file should contain the line:
SetEnv PHP_VER 5

As the temporary .htaccess file will be overwritten by the GetSimple installation, it is also necessary to add that line manually to the permanent file, by either:

  • editing the temp.htaccess file before installing GetSimple, or
  • editing the .htaccess file after installation.

Other sub-versions of PHP can also be specified. More information is in the OVH guide (French language, but easily understandable).

installation/ovh.txt · Last modified: 2014/02/11 09:42 by hameau